bcr_test_module:
  module_path: e2e
  matrix:
    bazel:
      - 7.x
    platform:
      - debian10
      - ubuntu2004
      - macos
      # TODO: module needs to build the custom launcher on Apple silicon
      # - macos_arm64
      # TODO: enable this once the `gitlab.arm.com` does not use a self-signed certificate
      # - windows
  tasks:
    run_tests:
      name: Run end-to-end Tests
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      test_targets:
        - "//..."
